@media only screen and (max-width: 767px){
	.ts-popup-modal .product-size-chart-container .close{
		right: auto;
		left: 20px;/* rtl */
	}
	.header-fullwidth .header-middle > .container,
	body .header-middle > .container{
		margin-left: -10px;/* rtl */
		margin-right: -10px;/* rtl */
	}
	.ts-group-meta-icon-toggle{
		text-align: right;/* rtl */
	}
	.ic-mobile-menu-button{
		left: 0;/* rtl */
		right: auto;
	}
	.header-middle div.header-right > div{
		margin-right: 15px;/* rtl */
		margin-left: 0;
	}
	.header-middle div.header-right > div.shopping-cart-wrapper{
		margin-right: 0;/* rtl */
		margin-left: 0;
		padding-right: 15px;/* rtl */
		padding-left: 0;
	}
	
	/* CART MOBILE */
	.ts-tiny-cart-wrapper .cart_list li .cart-item-wrapper, 
	.woocommerce .ts-tiny-cart-wrapper .cart_list li .cart-item-wrapper{
		margin-right: 140px;/* rtl */
		margin-left: 0;
	}
	
	/* MENU MOBILE */
	.ts-floating-sidebar .ts-sidebar-content{
		transform: translateX(0);/* rtl */
	}
	.ts-search-by-category .search-button:before{
		left: -10px;/* rtl */
		right: auto;
	}
	#group-icon-header .my-wishlist-wrapper{
		padding-right: 0;
		padding-left: 20px;/* rtl */
	}
	#group-icon-header .my-wishlist-wrapper a span{
		right: auto;
		left: 0;/* rtl */
	}
	.group-button-header .header-currency .wcml_currency_switcher > a:after,
	.group-button-header .header-language .wpml-ls.wpml-ls-legacy-dropdown-click > ul > li > a span:after,
	.group-button-header .header-language .wpml-ls.wpml-ls-legacy-dropdown > ul > li > a span:after{
		margin-left: 0;
		margin-right: 5px;/* rtl */
	}
	.group-button-header .group-bottom > div > *{
		float: right;/* rtl */
	}
	.group-button-header .group-bottom > div:last-child > *{
		float: left;/* rtl */
	}
	.group-button-header .group-bottom > div:last-child:first-child > *{
		float: right;/* rtl */
	}
	.group-button-header{
		padding: 0 0 0 2px;/* rtl */
	}
	.group-button-header .ts-tiny-account-wrapper .account-control > a:before, 
	.group-button-header .my-wishlist-wrapper a:before{
		margin-left: 10px;/* rtl */
		margin-right: 0;
	}
	.mobile-menu span.ts-menu-drop-icon{
		right: auto;
		left: -5px;/* rtl */
	}
	.mobile-menu ul ul span.ts-menu-drop-icon {
		right: auto;
		left: -8px;/* rtl */
	}
	.mobile-menu-wrapper nav > ul li ul.sub-menu{
		padding-right: 20px; /* rtl */
		padding-left: 0;
	}
	.mobile-menu-wrapper nav > ul ul.sub-menu ul.sub-menu{
		padding-right: 20px; /* rtl */
		padding-left: 0;
	}
	.mobile-menu-wrapper .mobile-menu > ul > li{
		padding: 0 0 0 20px;/* rtl */
	}
	.header-currency > .wcml_currency_switcher,
	.header-language > .wpml-ls{
		float: left;/* rtl */
	}
	.header-currency > .title,
	.header-language > .title{
		float: right;/* rtl */
	}

	/* MENU MOBILE */
	.mobile-menu-wrapper nav > ul li ul.sub-menu > li > a,
	.widget_nav_menu .menu > li > a, 
	.menu div.list-link li > a{
		padding-right: 18px;/* rtl */
		padding-left: 0;
	}
	.mobile-menu-wrapper nav > ul li ul.sub-menu > li > a:before,
	.widget_nav_menu .menu > li > a:before, 
	.menu div.list-link li > a:before{
		left: auto;
		right: 0;/* rtl */
	}
	.ts-menu nav .widgettitle + div
	.ts-megamenu-columns-2 li.widget,
	.ts-megamenu-columns-3 li.widget,
	.ts-megamenu-columns-4 li.widget,
	.ts-megamenu-fullwidth li.widget{
		float: none;/* rtl */
	}
	
	/* CONTACT */
	.contact-col-2 > *{
		float: none;/* rtl */
	}

	/* MESSAGE */
	.woocommerce-message, 
	.woocommerce .woocommerce-message, 
	.woocommerce-error, 
	.woocommerce .woocommerce-error, 
	.woocommerce-info, 
	.woocommerce .woocommerce-info{
		padding-right: 40px !important;/* rtl */
		padding-left: 15px !important;
	}
	.woocommerce-error:before,
	.woocommerce-info:before,
	.woocommerce-message:before,
	.woocommerce .woocommerce-error:before,
	.woocommerce .woocommerce-info:before,
	.woocommerce .woocommerce-message:before{
		right: 15px;/* rtl */
		left: auto;
	}
	
	/* FOOTER */
	.social-right ul.list-icons{
		float: none;/* rtl */
	}
	
	/* PRODUCT 2 COLUMN RESPONSIVE */
	#main-content .woocommerce .columns-8 .products .product,
	#main-content .woocommerce.columns-8 .products .product,
	#main-content .woocommerce .columns-7 .products .product,
	#main-content .woocommerce.columns-7 .products .product,
	#main-content .woocommerce .columns-6 .products .product,
	#main-content .woocommerce.columns-6 .products .product,
	#main-content .woocommerce .columns-5 .products .product,
	#main-content .woocommerce.columns-5 .products .product,
	#main-content .woocommerce .columns-4 .products .product,
	#main-content .woocommerce.columns-4 .products .product,
	#main-content .woocommerce .columns-3 .products .product,
	#main-content .woocommerce.columns-3 .products .product{
		float: right/* rtl */
	}
	
	#main-content .woocommerce .columns-8 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-8 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-7 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-7 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-6 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-6 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-5 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-5 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-4 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-4 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-3 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-3 .products .product:nth-child(2n+1){
		float: right;/* rtl */
	}
	
	/* DOKAN */
	body .dokan-store-sidebar.dokan-w3,
	body .dokan-single-store.dokan-w8{
		float: none;/* rtl */
		padding-left: 0;/* rtl */
		padding-right: 0;/* rtl */
	}
	
	/* WISHLIST */
	.hidden-title-form .button, 
	.hidden-title-form input[type="submit"]{
		float: none;/* rtl */
	}
	
	/* BLOG */
	.list-posts article.post_format-post-format-quote{
		padding: 10px 10px 20px 20px;/* rtl */
	}
	.list-posts article .entry-meta-top > span, 
	.ts-blogs article .entry-meta-top > span{
		margin-left: 15px;/* rtl */
		margin-right: 0;
		padding-left: 15px;/* rtl */
		padding-right: 0;
	}
	body blockquote{
		padding: 30px 30px 0 0;/* rtl */
	}
	
	/* CHECKOUT */
	.woocommerce #order_review table.shop_table tr th{
		text-align: right;/* rtl */
	}
	
	/* MY ACCOUNT */
	.woocommerce-account .woocommerce-MyAccount-content{
		margin: 0;/* rtl */
		padding-left: 0;/* rtl */
		padding-right: 0;/* rtl */
	}
	.woocommerce-account .woocommerce-MyAccount-navigation li{
		float: right;/* rtl */
	}
	
	/* SHOP PAGE */
	.ts-floating-sidebar .close,
	#ts-filter-widget-area .close{
		right: auto;
		left: 20px;/* rtl */
	}
	#ts-filter-widget-area.style-bottom .filter-widget-area section,
	.filter-widget-area.style-dropdown-2 section{
		float: none;/* rtl */
	}
	.filter-widget-area.style-default ul.product-categories ul.children{
		margin: -5px -10px 0 -10px;/* rtl */
	}
	.filter-widget-area.style-default .widget-container.ts-product-categories-widget ul > li.cat-parent > a, 
	.filter-widget-area.style-default .widget-container.widget_product_categories ul > li.cat-parent > a{
		margin-left: 20px;/* rtl */
		margin-right: 0;
	}
	body.load-more-button .filter-widget-area.style-default, 
	body.infinity-scroll .filter-widget-area.style-default, 
	body.load-more-button .filter-widget-area.style-dropdown, 
	body.infinity-scroll .filter-widget-area.style-dropdown{
		padding: 0;/* rtl */
		margin: 0 0 0 -30px;/* rtl */
	}
	.filter-widget-area.style-default > .widget-container > :not(.widget-title-wrapper){
		padding-left: 30px;/* rtl */
		padding-right: 0;
	}
	body.woocommerce .products .product.product-category{
		float: right/* rtl */
	}
	body.woocommerce .products .product.product-category:nth-child(2n+1){
		float: right;/* rtl */
	}
	body.woocommerce .before-loop-wrapper .product-per-page-form{
		margin-left: 0;/* rtl */
		margin-right: 0;/* rtl */
	}
	.filter-widget-area-button a:before{
		margin: 0;/* rtl */
		left: 0;/* rtl */
		right: auto;
	}
	#ts-filter-widget-area.style-sidebar .ts-sidebar-content{
		right: 0;/* rtl */
		left: auto;
	}
	body #main-content.show-filter-sidebar{
		padding-left: 20px;/* rtl */
		padding-right: 20px;/* rtl */
	}
	
	/* PRODUCT DETAIL */
	.has-table .chart-image,
	.has-image .chart-table{
		float: none;/* rtl */
	}
	.woocommerce .ts-col-18 div.product div.summary,
	.woocommerce .ts-col-18 div.product div.images-thumbnails,
	.woocommerce .ts-col-18 .vertical-thumbnail div.images-thumbnails,
	.woocommerce .ts-col-18 .vertical-thumbnail div.summary,
	.woocommerce div.product div.summary,
	.woocommerce div.product div.images-thumbnails{
		padding-left: 0;/* rtl */
		padding-right: 0;/* rtl */
	}
	.woocommerce div.product .detail-meta-top > .ts-social-sharing{
		margin: 10px 0 0 0;/* rtl */
		padding: 0;/* rtl */
	}
	.summary .ts-social-sharing > :not(span){
		transform: none;/* rtl */
	}
	.summary .ts-social-sharing > *{
		float: right;/* rtl */
	}
	.woocommerce-tabs #comments,
	.woocommerce-tabs #review_form_wrapper{
		float: none;/* rtl */
	}
	
	/* WIDGET */
	/* Widget Button */
	.widget-title-wrapper a.block-control{
		right: auto;
		left: -8px; /* rtl */
	}
	.ts-recent-comments-widget.has-nav .widget-title, 
	.ts-blogs-widget.has-nav .widget-title, 
	.ts-products-widget.has-nav .widget-title, 
	.ts-products-widget.has-nav .widgettitle{
		margin-right: 0;/* rtl */
		margin-left: 0;/* rtl */
	}
	
	/* SHORTCODE */
	/* Shortcode Product */
	body .nav-middle .products:hover .owl-nav .owl-next, 
	body .nav-middle .items:hover .owl-nav .owl-next{
		left: 5px;/* rtl */
		right: auto;
	}
	body .nav-middle .products:hover .owl-nav .owl-prev, 
	body .nav-middle .items:hover .owl-nav .owl-prev{
		right: 5px;/* rtl */
		left: auto;
	}
	.ts-shortcode.nav-middle.nav-center .owl-controls .owl-nav > div.owl-next,
	body .ts-instagram-shortcode.nav-middle:hover .owl-nav > .owl-next{
		left: 5px;/* rtl */
		right: auto;
	}
	.ts-shortcode.nav-middle.nav-center .owl-controls .owl-nav > div.owl-prev,
	body .ts-instagram-shortcode.nav-middle:hover .owl-nav > .owl-prev{
		right: 5px;/* rtl */
		left: auto;
	}
	
	/* Shortcode Best Sellings */
	.ts-best-selling-products-wrapper .heading-tab{
		float: none;/* rtl */
	}
	.ts-best-selling-products-wrapper .list-categories{
		float: none;/* rtl */
	}
	.ts-best-selling-products-wrapper ul.tabs li{
		float: none;/* rtl */
	}
	
	/* Shortcode Instagram */
	.ts-instagram-wrapper.columns-3 .item,
	.ts-instagram-wrapper.columns-4 .item,
	.ts-instagram-wrapper.columns-5 .item,
	.ts-instagram-wrapper.columns-6 .item{
		float: right/* rtl */
	}
	
	.ts-instagram-wrapper.columns-3 .item.first:nth-child(2n+1),
	.ts-instagram-wrapper.columns-4 .item.first:nth-child(2n+1),
	.ts-instagram-wrapper.columns-5 .item.first:nth-child(2n+1),
	.ts-instagram-wrapper.columns-6 .item.first:nth-child(2n+1){
		float: right;/* rtl */
	}
	
	/* Shortcode Countdown Banner */
	.ts-countdown-banner.style-default .banner-img{
		padding-left: 0;/* rtl */
		padding-right: 0;/* rtl */
	}
	.ts-countdown-banner.style-default .banner-title:after{
		right: 50%;/* rtl */
		left: auto;/* rtl */
		margin-right: -20px;
		margin-left: 0;
	}
	.ts-countdown-banner .banner-img a{
		padding-left: 10px;/* rtl */
		padding-right: 0;
	}
	.ts-countdown-banner.style-default .banner-label{
		left: -15px;/* rtl */
		right: auto;
	}
}

@media only screen and (max-width: 639px){
	/* PRODUCT DETAIL */
	.woocommerce .ts-col-18 .vertical-thumbnail div.images-thumbnails .thumbnails + div.images, 
	.woocommerce .vertical-thumbnail div.images-thumbnails .thumbnails + div.images{
		margin-right: 70px;/* rtl */
		margin-left: 0;
	}
	
	/* PORTFOLIO */
	.ts-portfolio-wrapper.columns-2 .item,
	.ts-portfolio-wrapper.columns-3 .item,
	.ts-portfolio-wrapper.columns-4 .item{
		float: none;/* rtl */
	}
	
	/* PORTFOLIO DETAIL */
	.single-portfolio.top-thumbnail .portfolio-content,
	.single-portfolio.top-thumbnail .meta-content{
		padding-left: 0; /* rtl */
		padding-right: 0;/* rtl */
	}
}

@media only screen and (max-width: 550px){

	/* SHORTCODE */
	/* Shortcode Google Map */
	.google-map-container .content-contact{
		padding-left: 0;/* rtl */
		padding-right: 0;/* rtl */
	}
}

@media only screen and (max-width: 480px){
	/* PRODUCT DETAIL */
	.woocommerce div.product form.cart, 
	.woocommerce div.product.single-no-compare form.cart,
	.woocommerce div.product.single-no-wishlist form.cart{
		margin: 0;/* rtl */
	}
	div.product .summary .yith-wcwl-add-to-wishlist a span.ts-tooltip:before, 
	div.product .summary a.compare span.ts-tooltip:before,
	#page div.product .summary a.compare span.ts-tooltip:before{
		margin: 0 0 0 5px;/* rtl */
	}
	.woocommerce #main div.product.no-addtocart .summary .yith-wcwl-add-to-wishlist,
	.woocommerce #main div.product.no-addtocart .summary a.compare{
		float: none;/* rtl */
	}
	.woocommerce #main div.product.no-addtocart .summary .yith-wcwl-add-to-wishlist + a.compare{
		margin-left: 0;/* rtl */
		margin-right: 0;/* rtl */
	}
	.woocommerce div.product:not(.no-addtocart) .summary .yith-wcwl-add-to-wishlist + a.compare,
	div.product:not(.no-addtocart) .summary .yith-wcwl-add-to-wishlist,
	.woocommerce div.product:not(.no-addtocart) form.cart + a.compare,
	.woocommerce div.product:not(.no-addtocart) form.cart + .yith-wcwl-add-to-wishlist,
	.woocommerce div.product:not(.no-addtocart) form.cart + .yith-wcwl-add-to-wishlist + a.compare,
	.woocommerce div.product:not(.no-addtocart) .summary a.compare{
		float: right;/* rtl */
	}
	.woocommerce div.product:not(.no-addtocart) form.cart + .yith-wcwl-add-to-wishlist + a.compare,
	.woocommerce div.product.outofstock .summary .yith-wcwl-add-to-wishlist + a.compare{
		margin-right: 20px !important;/* rtl */
		margin-left: 0 !important;
	}
	.woocommerce div.product.outofstock .summary .yith-wcwl-add-to-wishlist + a.compare,
	.woocommerce div.product.outofstock .summary .yith-wcwl-add-to-wishlist{
		float: right;/* rtl */
	}
}

@media only screen and (max-width: 419px){
	/* FASHION 03 */
	.super-size span:first-child{
		padding: 0 0 24px 0;/* rtl */
	}
	.super-size span:last-child{
		padding: 24px 0 0 0;/* rtl */
	}
	
	/* COMMENT */
	.woocommerce .comment-text .star-rating{
		float: right;/* rtl */
	}
	.comment-text .meta{
		float: right;/* rtl */
	}
	
	/* BLOG DETAIL */
	.entry-author .author-avatar{
		padding-right: 0;/* rtl */
		padding-left: 0;
	}
	
	/* PORTFOLIO DETAIL */
	.single-portfolio .single-navigation .prev{
		padding-right: 20px;/* rtl */
		padding-left: 0;
	}
	.single-portfolio .single-navigation .next{
		padding-left: 20px;/* rtl */
		padding-right: 0;
	}

	/* SHOPPING CART */
	.woocommerce .cart tr.shipping td > *,
	.woocommerce .cart tr.shipping td > ul#shipping_method{
		margin-left: 0;
		margin-right: 100px;/* rtl */
	}
}

@media only screen and (max-width: 374px){
	/* SHORTCODE */
	/* Shortcode Instagram */
	.ts-instagram-wrapper.columns-3 .item,
	.ts-instagram-wrapper.columns-4 .item,
	.ts-instagram-wrapper.columns-5 .item,
	.ts-instagram-wrapper.columns-6 .item,
	.ts-instagram-wrapper.columns-3 .item.first:nth-child(2n+1),
	.ts-instagram-wrapper.columns-4 .item.first:nth-child(2n+1),
	.ts-instagram-wrapper.columns-5 .item.first:nth-child(2n+1),
	.ts-instagram-wrapper.columns-6 .item.first:nth-child(2n+1){
		float: none;/* rtl */
	}
}

@media only screen and (max-width: 350px){
	/* PRODUCT DETAIL */
	.woocommerce div.product form.cart div.quantity{
		margin: 0 0 0 10px;/* rtl */
	}
}
@media only screen and (max-width: 340px){
	/* SHOP PAGE */
	body.woocommerce .products .product.product-category{
		float: right !important;/* rtl */
	}
	#main-content .woocommerce .columns-8 .products .product,
	#main-content .woocommerce.columns-8 .products .product,
	#main-content .woocommerce .columns-7 .products .product,
	#main-content .woocommerce.columns-7 .products .product,
	#main-content .woocommerce .columns-6 .products .product,
	#main-content .woocommerce.columns-6 .products .product,
	#main-content .woocommerce .columns-5 .products .product,
	#main-content .woocommerce.columns-5 .products .product,
	#main-content .woocommerce .columns-4 .products .product,
	#main-content .woocommerce.columns-4 .products .product,
	#main-content .woocommerce .columns-3 .products .product,
	#main-content .woocommerce.columns-3 .products .product{
		float: none/* rtl */
	}
	
	#main-content .woocommerce .columns-8 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-8 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-7 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-7 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-6 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-6 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-5 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-5 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-4 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-4 .products .product:nth-child(2n+1),
	#main-content .woocommerce .columns-3 .products .product:nth-child(2n+1),
	#main-content .woocommerce.columns-3 .products .product:nth-child(2n+1){
		float: none;/* rtl */
	}
}

@media 
only screen and (max-width: 767px)	and (min-width: 640px){
	
	/* SHORTCODE */
	/* Shortcode Portfolio */
	.ts-portfolio-wrapper.columns-3 .item,
	.ts-portfolio-wrapper.columns-4 .item{
		float: right;/* rtl */
	}
}